Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1325530 - avrdude built without ELF support
Summary: avrdude built without ELF support
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: avrdude
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-09 16:43 UTC by Ivan Shapovalov
Modified: 2016-12-20 19:53 UTC (History)
2 users (show)

Fixed In Version: avrdude-6.1-5.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 19:53:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Ivan Shapovalov 2016-04-09 16:43:01 UTC
Description of problem:
avrdude isn't built with ELF support


Version-Release number of selected component (if applicable):
6.1

How reproducible:
For example
avrdude -p m8 -P usb -c usbasp -U flash:w:main-atmega8.elf:a
results
avrdude: input file main-atmega8.elf auto detected as ELF
avrdude: can't handle ELF file main-atmega8.elf, ELF file support was not compiled in
avrdude: read from file 'main-atmega8.elf' failed in


Steps to Reproduce:
1. $ avrdude -p m8 -P usb -c usbasp -U flash:w:main-atmega8.elf:a

Actual results:
Error message

Expected results:
ELF file written to ATmega

Additional info:
http://www.avrfreaks.net/forum/avrdude-60-released
https://bugzilla.redhat.com/show_bug.cgi?id=1178223

Comment 1 Hans Ulrich Niedermann 2016-05-21 18:32:46 UTC
I am rebuilding avrdude right now.

(And I think avrdude could use a command line parameter to make it list all the features it has and has not been compiled with.)

Thanks a lot for the report.

Comment 2 Fedora Update System 2016-05-21 19:54:30 UTC
avrdude-6.1-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-492e579c33

Comment 3 Fedora Update System 2016-05-21 21:16:06 UTC
avrdude-6.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-00b60f274e

Comment 4 Fedora Update System 2016-05-21 21:16:10 UTC
avrdude-6.1-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f724d17da0

Comment 5 Fedora Update System 2016-05-22 03:55:25 UTC
avrdude-6.1-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-492e579c33

Comment 6 Fedora Update System 2016-05-24 02:52:29 UTC
avrdude-6.1-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f724d17da0

Comment 7 Fedora Update System 2016-05-24 02:53:17 UTC
avrdude-6.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-00b60f274e

Comment 8 Fedora Update System 2016-05-25 14:19:43 UTC
avrdude-6.3-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-003c2e5749

Comment 9 Fedora Update System 2016-05-25 20:02:34 UTC
avrdude-6.1-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-05-26 05:01:40 UTC
avrdude-6.3-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-003c2e5749

Comment 11 Fedora End Of Life 2016-11-25 07:18:47 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2016-12-20 19:53:25 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.